Skip to main content
`Ctrl`+`K`

# Groupnorm

MIOpen: Groupnorm
Functions
Groupnorm

## Functions

miopenStatus_t

miopenGroupNormForward (miopenHandle_t handle, miopenNormMode_t mode, const miopenTensorDescriptor_t xDesc, const void *x, const miopenTensorDescriptor_t weightDesc, const void *weight, const miopenTensorDescriptor_t biasDesc, const void *bias, const uint64_t num_groups, const float epsilon, const miopenTensorDescriptor_t yDesc, void *y, const miopenTensorDescriptor_t meanDesc, void *mean, const miopenTensorDescriptor_t rstdDesc, void *rstd)

| Execute a groupnorm forward layer.

## Detailed Description

## Function Documentation

## ◆ miopenGroupNormForward()

miopenStatus_t miopenGroupNormForward | ( | miopenHandle_t | handle,
|  | miopenNormMode_t | mode,
|  | const miopenTensorDescriptor_t | xDesc,
|  | const void * | x,
|  | const miopenTensorDescriptor_t | weightDesc,
|  | const void * | weight,
|  | const miopenTensorDescriptor_t | biasDesc,
|  | const void * | bias,
|  | const uint64_t | num_groups,
|  | const float | epsilon,
|  | const miopenTensorDescriptor_t | yDesc,
|  | void * | y,
|  | const miopenTensorDescriptor_t | meanDesc,
|  | void * | mean,
|  | const miopenTensorDescriptor_t | rstdDesc,
|  | void * | rstd )

Execute a groupnorm forward layer.

Parameters

  handle | MIOpen handle (input)
  mode | GroupNorm mode (input)
  xDesc | Tensor descriptor for data input tensor x (input)
  x | Data tensor x (input)
  weightDesc | Tensor descriptor for data input tensor weight (input)
  weight | Data tensor weight (input)
  biasDesc | Tensor descriptor for data input tensor bias (input)
  bias | Data tensor bias (input)
  num_groups | nNmber of groups to separate the channels into (input)
  epsilon | Value to stablize inverse variance calculation (input)
  yDesc | Tensor descriptor for output data tensor y (input)
  y | Data tensor y (output)
  meanDesc | Tensor descriptor for output data tensor mean (input)
  mean | Data tensor mean (output)
  rstdDesc | Tensor descriptor for output data tensor rstd (input)
  rstd | Data tensor rstd (output)

Returns
  miopenStatus_t